import React, { Component, useState, useEffect } from 'react';
import { Card, Row, Col, Statistic, Icon } from 'antd';
// import IndexEcharts from './components/indexEcharts';
// import Swiper from './swiper/index';
import router from 'umi/router';
import request from '@/utils/request';
import apis from '@/services/apis';

const Count = props => {
  const [data, setData] = useState([]);

  return (
    <>
      <Row gutter={16} style={{textAlign:'center'}}>
        <Col span={4}>
          <Card>
            <Statistic
              title="总用户"
              value={110}
              //   valueStyle={{ color: '#3f8600' }}
            />
          </Card>
        </Col>
        <Col span={4}>
          <Card>
            <Statistic
              title="总注册用户"
              value={110}
              //   valueStyle={{ color: '#cf1322' }}
            />
          </Card>
        </Col>
        <Col span={4}>
          <Card>
            <Statistic
              title="今日访问次数"
              value={110}
              //   valueStyle={{ color: '#3f8600' }}
            />
          </Card>
        </Col>
        <Col span={4}>
          <Card>
            <Statistic
              title="今日新增用户"
              value={110}
              //   valueStyle={{ color: '#cf1322' }}
            />
          </Card>
        </Col>
        <Col span={4}>
          <Card>
            <Statistic
              title="渠道数量"
              value={110}
              //   valueStyle={{ color: '#3f8600' }}
            />
          </Card>
        </Col>
        <Col span={4}>
          <Card>
            <Statistic
              title="经纪人数量"
              value={110}
              //   valueStyle={{ color: '#cf1322' }}
            />
          </Card>
        </Col>
      </Row>
    </>
  );
};
export default Count;
